# QSwipeGesture Class Reference

### [com.trolltech.qt.gui package]

Inherits QGesture.

### Constructor

- void QSwipeGesture(QObject parent)

### Constructor Properties

- prototype: The QSwipeGesture prototype object
- NoDirection
- Left
- Right
- Up
- Down
- SwipeDirection( value )

### Instance Properties

QSwipeGesture objects inherit properties from the QSwipeGesture prototype object and also have the following properties.

- horizontalDirection
- verticalDirection
- swipeAngle